#pragma once
#include "dependences.h"
//#include "EToolBar.h"
//#include "ConstantControls.h"
#include "render.h"

class UserInterface
{
public:
	UserInterface();
	~UserInterface();
	bool Initializate(HINSTANCE hInstance);
	bool CreateUserWindow(HINSTANCE hInstance, int width, int height);
	void Run(Render *render);
	static UserInterface* GetWindow(){return Window;};
	HWND GetHWND(){ return hwnd_c; };


	LRESULT CALLBACK WndMessage(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
	LRESULT CALLBACK ChildMessage(HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam);
private:
	WNDCLASSEX wc;
	HWND hwnd, hwnd_c;
	HINSTANCE hinst;
	//EToolBar *MainBar;
	HWND bOpen, hwndTrack, hwndSize;
	HWND labelTrack, labelSize;
	static UserInterface* Window;
	bool onChildWindow = false;
	string OpenObjFile();
	Render *render;

	POINT xy;

	HWND WINAPI CreateTrackbar(HWND hwnd, UINT iMin, UINT iMax, UINT iSelMin, UINT iSelMax, UINT x, UINT y);
	VOID WINAPI TBNotifications(HWND trackHwnd, WPARAM wParam, UINT iSelMin, UINT iSelMax);
};

static LRESULT CALLBACK WndProc(HWND hwnd,UINT msg,WPARAM wParam, LPARAM lParam);
static LRESULT CALLBACK ChildProc(HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam);