#include "dependences.h"
#include "UserInterface.h"
#include "render.h"

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow)
{
	UserInterface *Window = new UserInterface;
	Render *render = new Render;
	Window->Initializate(hInstance);
	Window->CreateUserWindow(hInstance, 1200, 800);
	if (!render->Init(Window->GetHWND()))
		return 2;
	render->PrepareScene();
	render->SetData();

	Window->Run(render);
	render->Shutdown(Window->GetHWND());

	delete render;

	delete Window;

	return 0;
}